* {
    box-sizing: border-box;
}

.kratos-body {
    background-color: var(--bg-body);
    color: var(--text-main);
    display: grid;
    place-items: center;
    height: 100vh;
    height: 100dvh;
    margin: 0;
    font-family: 'Inter', system-ui, -apple-system, sans-serif;
    overflow-x: hidden; 
    padding: 20px; 
}

.dashboard-link {
    display: flex;
    align-items: center;
    gap: 10px;
    text-decoration: none; 
    color: var(--text-main)
}

.kratos-container {
    width: 100%;
    max-width: 400px;
    margin: 0 auto;
}

.kratos-card {
    background-color: var(--bg-alt);
    border-radius: 12px;
    padding: 32px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border: 1px solid var(--border-color);
}

.kratos-card h2 {
    text-align: center;
    text-wrap: balance;
    padding-bottom: 20px;
    color: var(--text-main);
    font-size: 0.9rem; 
    font-weight: normal;
}

.kratos-card a:first-of-type {
    margin-top: 0.5rem;
    padding: 0.5rem;
}

.kratos-card a {
    display: block;
    text-align: center;
    color: var(--primary); /* Soft dark gray */
    text-decoration: none;
    font-size: 0.875rem;
    transition: color 0.2s ease;
}

.kratos-card a:hover {
    color: var(--primary-dark); /* Professional blue */
    text-decoration: underline;
}

.kratos-form-group:not(:last-child) {
    margin-bottom: 1.5rem;
}

.kratos-form-group label {
    display: block;
    font-weight: 500;
    color: var(--text-light);
    margin-bottom: 6px;
}

.kratos-form-group input {
    width: 100%;
    padding: 12px 16px;
    border: 1px solid var(--border-color);
    border-radius: 8px;
    background-color: var(--bg-body);
    color: var(--text-main);
    transition: all 0.2s ease;
}

.kratos-form-group input:focus {
    border-color: var(--primary);
    outline: none;
    box-shadow: 0 0 0 4px rgba(59, 130, 246, 0.1);
}

.kratos-card button {
    width: 100%;
    padding: 14px; 
    border: none;
    border-radius: 8px;
    background-color: var(--primary);
    color: #fff;
    font-weight: 600;
    cursor: pointer;
    transition: transform 0.1s ease, background-color 0.2s ease;
}

.kratos-card button:hover {
    background-color: var(--primary-dark);
}

.kratos-card button:active {
    transform: scale(0.98);
}